Wallet Account Inquiry
- Endpoint:
POST /v1.0/emoney/topup-account-inquiry - Tags: Indonesia SNAP/Disbursement
Description
You can use this endpoint to get the wallet account status, for example invalid or valid. It still take us a few seconds to do the inquiry. Service Code=37
Parameters
| Field | In | Type | Required | Constraints | Description |
|---|---|---|---|---|---|
Content-Type | header | string | Yes | Media type of the resource, i.e. application/json. | |
X-TIMESTAMP | header | string | Yes | Request time, compliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time | |
X-SIGNATURE | header | string | Yes | Represents signature of a request. | |
CHANNEL-ID | header | string | Yes | Device identification on which the API services is currently being accessed by the end user , like APP,WAP,WEB. | |
Authorization | header | string | Yes | Represents access_token of a request; string starts with keyword “Bearer ” followed by access_token | |
X-PARTNER-ID | header | string | Yes | Merchant Id, the unique identifier generated when the merchant signs the contract with PayerMax | |
X-EXTERNAL-ID | header | string | Yes | Unique reference number for each request and should be unique within the same day. | |
sign | header | string | Yes | 签名信息请参考技术文档 |
Parameter Examples
Content-Type:""X-TIMESTAMP:""X-SIGNATURE:""CHANNEL-ID:""Authorization:""X-PARTNER-ID:""X-EXTERNAL-ID:""sign:"FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="
Request Body
Required
Content-Type: application/json
| Field | Type | Required | Constraints | Description | Enum |
|---|---|---|---|---|---|
partnerReferenceNo | string | Yes | maxLength: 64 | Merchant Order Id, a unique identifier for a merchant transaction, must not be duplicated and can only contain letters, numbers, and underlines. | |
beneficiaryAccountNumber | string | Yes | maxLength: 128 | Payee account, fill in the corresponding account number according to the payment method. | |
additionalInfo | object | Yes | |||
additionalInfo.beneficiaryBankCode | string | Yes | maxLength: 64 | Target organization. | |
additionalInfo.notifyUrl | string | Yes | maxLength: 255 | The backend callback address for merchants to receive inquiry results, starting with http/https. |
Example
json
{
"partnerReferenceNo": "20260825232335013100217",
"beneficiaryAccountNumber": "1234567890",
"additionalInfo": {
"beneficiaryBankCode": "DANA",
"notifyUrl": "https://merchant.example.com/snap/account-notify"
}
}Responses
200
| Field | Type | Required | Constraints | Description | Enum |
|---|---|---|---|---|---|
responseCode | string | No | Response code, following the SNAP standard. | ||
responseMessage | string | Yes | Response description, following the SNAP standard. | ||
beneficiaryAccountName | string | No | maxLength: 512 | Payee full name. | |
beneficiaryAccountNumber | string | No | maxLength: 128 | Payee account, fill in the corresponding account number according to the payment method. | |
additionalInfo | object | No | |||
additionalInfo.isVirtualAccount | boolean | No | Whether it is a virtual account? true/false | ||
additionalInfo.status | string | Yes | PENDING/SUCCESS/INVALID_ACCOUNT_NUMBER/SUSPECTED_ACCOUNT/BLACK_LISTED/FAILED/CLOSED | ||
partnerReferenceNo | string | Yes | maxLength: 64 | Merchant Order Id, a unique identifier for a merchant transaction, must not be duplicated and can only contain letters, numbers, and underlines. | |
beneficiaryBankCode | string | No | maxLength: 64 | Target organization. | |
referenceNo | string | No | PayerMax transaction serial Order Number. |
Response Example
json
{
"beneficiaryAccountName": "test name",
"beneficiaryAccountNumber": "1234567890",
"additionalInfo": {
"isVirtualAccount": false,
"status": "SUCCESS"
},
"partnerReferenceNo": "20260825152553424100187",
"referenceNo": "202608251525544424100187",
"beneficiaryBankCode": "DANA",
"responseMessage": "Success.",
"responseCode": "2003700"
}